/*
 * Copyright: Scheer E2E AG
 */

package ${IJ_BASE_PACKAGE};

import java.util.Map;

@SuppressWarnings({ "WeakerAccess", "unused" })
public class EnvVars {

    private static final Map<String, String> ENV = System.getenv();
    private static final String KEY_PORT = "PORT";

    public static String get(String key) {
        return ENV.get(key);
    }

    public static String getOrElse(String key, String value) {
        return ENV.getOrDefault(key, value);
    }

    public static int getInt(String key) {
        return Integer.parseInt(get(key));
    }

    public static int getIntOrElse(String key, int value) {
        return ENV.containsKey(key) ? getInt(key) : value;
    }

    public static boolean getBoolean(String key) {
        return Boolean.parseBoolean(get(key));
    }

    public static boolean getBooleanOrElse(String key, boolean value) {
        return ENV.containsKey(key) ? getBoolean(key) : value;
    }

    public static int getPort() {
        return Integer.parseUnsignedInt(ENV.get(KEY_PORT));
    }

    public static int getPortOrElse(int port) {
        return ENV.containsKey(KEY_PORT) ? getPort() : port;
    }

    private EnvVars() {
    }

}
