/*
 * Copyright: Scheer E2E AG
 */

package ch.e2e.bridge.service;

import ${IJ_BASE_PACKAGE}.EnvVars;

import java.io.IOException;
import java.io.OutputStream;
import java.net.ServerSocket;
import java.net.Socket;

public class Main {

    private static final int DEFAULT_PORT = 1337;
    private static final byte[] CONTENT = ("HTTP/1.1 200 OK\n" +
                                           "Content-Type: text/html;charset=utf8\n\n" +
                                           "<html><head><title>Hello World</title></head>" +
                                           "<body>Hello World!</body></html>\n").getBytes();

    public static void main(String[] args) throws IOException {
        int port = EnvVars.getPortOrElse(DEFAULT_PORT);
        ServerSocket server = new ServerSocket(port);
        System.out.println("Server running at http://127.0.0.1:" + port + "/");
        //noinspection InfiniteLoopStatement
        while (true) {
            try (Socket socket = server.accept();
                 OutputStream output = socket.getOutputStream()) {
                output.write(CONTENT);
            }
        }
    }

}
